Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Interface AxisBuilder

All Superinterfaces:
  Available, com.tonbeller.wcf.bookmarks.Bookmarkable, PartBuilder

All Known Subinterfaces:
  ColumnAxisBuilder, RowAxisBuilder

All Known Implementing Classes:
  AxisBuilderSupport, ColumnAxisBuilderImpl, RowAxisBuilderImpl

    public interface AxisBuilder

extends PartBuilder

builds the row or column headings

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Method Summary
`void` | `buildRow(org.w3c.dom.Element parent, int rowIndex)` appends one <row-heading> or multiple >column-heading< elements to parent.
`AxisConfig` | `getAxisConfig()`
`AxisHeaderBuilder` | `getAxisHeaderBuilder()`
`int` | `getColumnCount()` returns the number of columns.
`int` | `getRowCount()` returns the number of rows.
`SpanBuilder` | `getSpanBuilder()`
`SpanCalc` | `getSpanCalc()`
`void` | `setAxisHeaderBuilder(AxisHeaderBuilder axisHeaderBuilder)`
`void` | `setSpanBuilder(SpanBuilder spanBuilder)`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, initialize, isAvailable, startBuild, stopBuild`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Method Detail

### getRowCount

    int getRowCount()

  returns the number of rows. A row axis will return positionCount, a column axis will return hierarchyCount

### getColumnCount

    int getColumnCount()

  returns the number of columns. A row axis will return hierarchyCount, a column axis will return positionCount

### buildRow

    void buildRow(org.w3c.dom.Element parent,
                  int rowIndex)

  appends one <row-heading> or multiple >column-heading< elements to parent.

  Parameters:
    `parent` - a <row> element containing headings (and cells)
    `rowIndex` - - index of the row to build

### getSpanBuilder

    SpanBuilder getSpanBuilder()

  See Also:
    `SpanBuilder`

### setSpanBuilder

    void setSpanBuilder(SpanBuilder spanBuilder)

  See Also:
    `SpanBuilder`

### getSpanCalc

    SpanCalc getSpanCalc()

### getAxisConfig

    AxisConfig getAxisConfig()

### getAxisHeaderBuilder

    AxisHeaderBuilder getAxisHeaderBuilder()

### setAxisHeaderBuilder

    void setAxisHeaderBuilder(AxisHeaderBuilder axisHeaderBuilder)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD